using Toybox.Background as Bg;
using Toybox.System as Sys;
using Toybox.Communications as Comm;
using Toybox.Application.Storage as AS;


(:background)
class BackgroundService extends Sys.ServiceDelegate {
	function initialize() {
			Sys.ServiceDelegate.initialize();
	}   

	function onTemporalEvent() {
			Comm.makeImageRequest("https://t1.picb.cc/uploads/2021/11/13/wYuQxt.png",null,{:palette =>[0xff0000],:maxWidth => 100,:maxHeight => 100,:dithering => 1}, method(:OnReceiveimg));
 	}
	function OnReceiveimg(responseCode, data){
			if(responseCode == 200){
				AS.setValue(4,data);
			}			
			Bg.exit(responseCode);
	}
}